CloudflareAvailable on AvalAI
cf.flux-2-klein-4b API on AvalAI
cf.flux-2-klein-4bcf.flux-2-klein-4b is an AI model from Bfl that is available through AvalAI's OpenAI-compatible API.
Price display scale
Input price—
Output price—
Context window— tokens
Maximum output— tokens
Use cf.flux-2-klein-4b with the AvalAI API
Keep the API key in an environment variable and send requests from server-side code.
bash
curl https://api.avalai.ir/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $AVALAI_API_KEY" \
-d '{"model": "cf.flux-2-klein-4b", "messages": [{"role": "user", "content": "Give a concise, practical solution."}]}'python
import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ["AVALAI_API_KEY"],
base_url="https://api.avalai.ir/v1",
)
response = client.chat.completions.create(
model="cf.flux-2-klein-4b",
messages=[{"role": "user", "content": "Give a concise, practical solution."}],
)
print(response.choices[0].message.content)javascript
import OpenAI from "openai";
const client = new OpenAI({
apiKey: process.env.AVALAI_API_KEY,
baseURL: "https://api.avalai.ir/v1",
});
const response = await client.chat.completions.create({
model: "cf.flux-2-klein-4b",
messages: [{ role: "user", content: "Give a concise, practical solution." }],
});
console.log(response.choices[0].message.content);Create an API keyRead the quickstart
Capabilities and endpoints
- —
Endpoints
/v1/images/generations
cf.flux-2-klein-4b rate limits
| Tier | RPM | TPM |
|---|---|---|
| Tier 1 | 10 | — |
| Tier 2 | 25 | — |
| Tier 3 | 50 | — |
| Tier 4 | 150 | — |
| Tier 5 | 500 | — |
Related models
Frequently asked questions
What is the cf.flux-2-klein-4b API on AvalAI?
Create an AvalAI API key and send the model ID cf.flux-2-klein-4b to one of the supported endpoints shown on this page.
How much does the cf.flux-2-klein-4b API cost on AvalAI?
The cf.flux-2-klein-4b API on AvalAI costs — per 1M input tokens and — per 1M output tokens.
What is the token cost for cf.flux-2-klein-4b?
Current AvalAI pricing for cf.flux-2-klein-4b is — for input and — for output.
What is the cf.flux-2-klein-4b context window?
The recorded maximum input context for cf.flux-2-klein-4b is — tokens.
What account tier is required to use cf.flux-2-klein-4b on AvalAI?
Calling cf.flux-2-klein-4b on AvalAI requires tier 1 or higher.
Third-party data and freshness
- Pricing, availability, endpoints, and rate limits: AvalAI structured data (authoritative)